> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Order

> Create a new order. By creating a new order, you will create a new settlement destination which you can use to settle expected incoming payments efficiently. After creating the order, Ivy provides you with a destination for the expected incoming payment. As soon as a payment with the same details arrives, Ivy will update the status of the order.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/getivy/openapi.documented.yml post /api/service/order/create
openapi: 3.0.0
info:
  title: Ivy API
  description: Ivy API schema
  version: '1.0'
  contact:
    name: Ivy
    url: https://www.getivy.io
    email: help@getivy.io
servers:
  - url: https://api.getivy.de
    description: Production
  - url: https://api.sand.getivy.de
    description: Sandbox
security: []
tags: []
paths:
  /api/service/order/create:
    post:
      tags:
        - Order
      summary: Create an Order
      description: >-
        Create a new order. By creating a new order, you will create a new
        settlement destination which you can use to settle expected incoming
        payments efficiently. After creating the order, Ivy provides you with a
        destination for the expected incoming payment. As soon as a payment with
        the same details arrives, Ivy will update the status of the order.
      operationId: OrderController_create
      parameters:
        - name: Idempotency-Key
          in: header
          description: >-
            Idempotency key for safe retries. Reusing a key with an identical
            request body returns the cached response. Reusing a key with a
            different body returns 409.
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrderDto'
      responses:
        '200':
          description: Order created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOrderResponseDto'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Ivy from '@getivy/node-sdk';

            const client = new Ivy({
              apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
            });

            const order = await client.orders.create({
              amount: 1,
              currency: 'EUR',
              referenceId: 'x',
            });

            console.log(order.id);
components:
  schemas:
    CreateOrderDto:
      type: object
      properties:
        amount:
          description: The total amount of the order
          type: number
          minimum: 0
          exclusiveMinimum: true
        currency:
          description: The currency code of the order
          type: string
          enum:
            - EUR
            - USD
            - GBP
            - PLN
            - SEK
            - DKK
          x-enumNames:
            - EUR
            - USD
            - GBP
            - PLN
            - SEK
            - DKK
        referenceId:
          description: The merchant's unique reference ID for the order
          type: string
          minLength: 1
          maxLength: 200
        expiresAt:
          description: Optional expiration timestamp in seconds
          type: string
        customer:
          description: The customer of the merchant.
          type: object
          properties:
            id:
              description: The Ivy id of the customer.
              type: string
              format: uuid
            email:
              description: The email of the customer.
              type: string
              minLength: 1
              maxLength: 254
              format: email
            phone:
              description: >-
                The phone number of the customer in international format (e.g.,
                +491631234567)
              type: string
        subaccountId:
          description: The subaccount id of the merchant.
          type: string
          format: uuid
      required:
        - amount
        - currency
        - referenceId
    CreateOrderResponseDto:
      type: object
      properties:
        id:
          description: The unique id for the order.
          type: string
        merchantId:
          type: string
        payerFinancialAddress:
          description: >-
            The financial address of the payer associated with the order. Only
            available after successful PIS flow.
          type: object
          properties:
            type:
              type: string
              enum:
                - iban
                - sort_code
                - bank_code
                - bban
                - wallet
                - aba
              x-enumNames:
                - IBAN
                - SORT_CODE
                - BANK_CODE
                - BBAN
                - WALLET
                - ABA
            aba:
              type: object
              properties:
                accountHolderName:
                  type: string
                routingNumber:
                  type: string
                  pattern: ^[0-9]+$
                accountNumber:
                  type: string
                  pattern: ^[0-9]+$
              required:
                - routingNumber
                - accountNumber
            iban:
              type: object
              properties:
                accountHolderName:
                  type: string
                iban:
                  type: string
                bic:
                  type: string
              required:
                - iban
            sortCode:
              type: object
              properties:
                accountHolderName:
                  type: string
                sortCode:
                  type: string
                accountNumber:
                  type: string
              required:
                - sortCode
                - accountNumber
            bankCode:
              type: object
              properties:
                accountHolderName:
                  type: string
                code:
                  type: string
                accountNumber:
                  type: string
              required:
                - code
                - accountNumber
            bban:
              type: object
              properties:
                accountHolderName:
                  type: string
                bban:
                  type: string
                bic:
                  type: string
              required:
                - bban
            wallet:
              type: object
              properties:
                address:
                  description: The blockchain wallet address
                  type: string
                blockchain:
                  description: The blockchain network
                  type: string
                  enum:
                    - BTC
                    - BTC-TESTNET4
                    - ETH
                    - ETH-SEPOLIA
                    - SOL
                    - SOL-DEVNET
                    - MATIC
                    - MATIC-AMOY
              required:
                - address
                - blockchain
          required:
            - type
        appId:
          description: The unique id for the merchantApp which initiated the order.
          type: string
        merchantAppId:
          description: Same as appId
          type: string
        shopName:
          description: The legal name of the merchant which initiated the order.
          type: string
        referenceId:
          description: >-
            A unique id for the order which can be set when creating the
            checkoutSession.
          type: string
        displayId:
          description: The customer-facing id of the order.
          type: string
        offsetProject:
          description: The project related to the order.
          type: string
        metadata:
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
          type: object
          additionalProperties: {}
        category:
          description: >-
            The merchant category code for the account. MCCs are used to
            classify businesses based on the goods or services they provide.
          type: string
        co2Grams:
          type: number
          minimum: 0
          exclusiveMinimum: false
        applicationFeeAmount:
          description: The amount of application fee collected with the order.
          type: number
          minimum: 0
          exclusiveMinimum: false
        price:
          description: The price object. All values in decimals, e.g. 0.13 for 13 cents.
          type: object
          properties:
            total:
              type: number
              minimum: 0.01
              exclusiveMinimum: false
            currency:
              type: string
              enum:
                - EUR
                - USD
                - GBP
                - PLN
                - SEK
                - DKK
              x-enumNames:
                - EUR
                - USD
                - GBP
                - PLN
                - SEK
                - DKK
            subTotal:
              type: number
            shipping:
              type: number
            totalNet:
              type: number
            vat:
              type: number
          required:
            - total
            - currency
        lineItems:
          description: The list of line items sold with the order.
          type: array
          items:
            type: object
            properties:
              name:
                description: Customer-facing name of the line item.
                type: string
              referenceId:
                description: An internal unique id stored to this line item.
                type: string
              singleNet:
                type: number
              singleVat:
                type: number
              amount:
                description: >-
                  Accumulated cost in decimals. For example, for a lineItem with
                  total price 3.00 and quantity 4, amount would be equal to
                  12.00.
                type: number
              quantity:
                description: Quantity of this lineItem.
                type: number
                default: 1
              image:
                description: An image of the line item. Valid URLs are accepted only.
                type: string
              category:
                type: string
                enum:
                  - '5045'
                  - '5065'
                  - '5094'
                  - '5192'
                  - '5193'
                  - '5499'
                  - '5655'
                  - '5691'
                  - '5712'
                  - '5722'
                  - '5812'
                  - '5814'
                  - '5912'
                  - '5977'
                  - '5999'
                  - '7629'
              EAN:
                type: string
              co2Grams:
                type: number
                minimum: 0
                exclusiveMinimum: false
            required:
              - name
              - singleNet
              - singleVat
              - amount
        shopLogo:
          type: string
        guest:
          type: boolean
          default: false
        climateActionMode:
          type: object
          properties:
            type:
              type: string
              enum:
                - transaction
                - amount
              x-enumNames:
                - transaction
                - amount
            amount:
              type: number
          required:
            - type
            - amount
        impactOffsetProjects:
          type: array
          items: {}
        billingAddress:
          type: object
          properties:
            firstName:
              type: string
            lastName:
              type: string
            line1:
              type: string
              minLength: 1
            line2:
              type: string
            region:
              type: string
            city:
              type: string
              minLength: 1
            zipCode:
              type: string
              minLength: 1
            country:
              type: string
              enum:
                - AF
                - AL
                - DZ
                - AS
                - AD
                - AO
                - AI
                - AQ
                - AG
                - AR
                - AM
                - AW
                - AU
                - AT
                - AZ
                - BS
                - BH
                - BD
                - BB
                - BY
                - BE
                - BZ
                - BJ
                - BM
                - BT
                - BO
                - BA
                - BW
                - BV
                - BR
                - IO
                - BN
                - BG
                - BF
                - BI
                - KH
                - CM
                - CA
                - CV
                - KY
                - CF
                - TD
                - CL
                - CN
                - CX
                - CC
                - CO
                - KM
                - CG
                - CD
                - CK
                - CR
                - CI
                - HR
                - CU
                - CY
                - CZ
                - DK
                - DJ
                - DM
                - DO
                - EC
                - EG
                - SV
                - GQ
                - ER
                - EE
                - ET
                - FK
                - FO
                - FJ
                - FI
                - FR
                - GF
                - PF
                - TF
                - GA
                - GM
                - GE
                - DE
                - GH
                - GI
                - GR
                - GL
                - GD
                - GP
                - GU
                - GT
                - GN
                - GW
                - GY
                - HT
                - HM
                - VA
                - HN
                - HK
                - HU
                - IS
                - IN
                - ID
                - IR
                - IQ
                - IE
                - IL
                - IT
                - JM
                - JP
                - JO
                - KZ
                - KE
                - KI
                - KP
                - KR
                - KW
                - KG
                - LA
                - LV
                - LB
                - LS
                - LR
                - LY
                - LI
                - LT
                - LU
                - MO
                - MG
                - MW
                - MY
                - MV
                - ML
                - MT
                - MH
                - MQ
                - MR
                - MU
                - YT
                - MX
                - FM
                - MD
                - MC
                - MN
                - MS
                - MA
                - MZ
                - MM
                - NA
                - NR
                - NP
                - NL
                - NC
                - NZ
                - NI
                - NE
                - NG
                - NU
                - NF
                - MP
                - MK
                - 'NO'
                - OM
                - PK
                - PW
                - PS
                - PA
                - PG
                - PY
                - PE
                - PH
                - PN
                - PL
                - PT
                - PR
                - QA
                - RE
                - RO
                - RU
                - RW
                - SH
                - KN
                - LC
                - PM
                - VC
                - WS
                - SM
                - ST
                - SA
                - SN
                - SC
                - SL
                - SG
                - SK
                - SI
                - SB
                - SO
                - ZA
                - GS
                - ES
                - LK
                - SD
                - SR
                - SJ
                - SZ
                - SE
                - CH
                - SY
                - TW
                - TJ
                - TZ
                - TH
                - TL
                - TG
                - TK
                - TO
                - TT
                - TN
                - TR
                - TM
                - TC
                - TV
                - UG
                - UA
                - AE
                - GB
                - US
                - UM
                - UY
                - UZ
                - VU
                - VE
                - VN
                - VG
                - VI
                - WF
                - EH
                - YE
                - ZM
                - ZW
                - AX
                - BQ
                - CW
                - GG
                - IM
                - JE
                - ME
                - BL
                - MF
                - RS
                - SX
                - SS
                - XK
          required:
            - line1
            - city
            - zipCode
            - country
        shippingAddress:
          type: object
          properties:
            firstName:
              type: string
            lastName:
              type: string
            line1:
              type: string
              minLength: 1
            line2:
              type: string
            region:
              type: string
            city:
              type: string
              minLength: 1
            zipCode:
              type: string
              minLength: 1
            country:
              type: string
              enum:
                - AF
                - AL
                - DZ
                - AS
                - AD
                - AO
                - AI
                - AQ
                - AG
                - AR
                - AM
                - AW
                - AU
                - AT
                - AZ
                - BS
                - BH
                - BD
                - BB
                - BY
                - BE
                - BZ
                - BJ
                - BM
                - BT
                - BO
                - BA
                - BW
                - BV
                - BR
                - IO
                - BN
                - BG
                - BF
                - BI
                - KH
                - CM
                - CA
                - CV
                - KY
                - CF
                - TD
                - CL
                - CN
                - CX
                - CC
                - CO
                - KM
                - CG
                - CD
                - CK
                - CR
                - CI
                - HR
                - CU
                - CY
                - CZ
                - DK
                - DJ
                - DM
                - DO
                - EC
                - EG
                - SV
                - GQ
                - ER
                - EE
                - ET
                - FK
                - FO
                - FJ
                - FI
                - FR
                - GF
                - PF
                - TF
                - GA
                - GM
                - GE
                - DE
                - GH
                - GI
                - GR
                - GL
                - GD
                - GP
                - GU
                - GT
                - GN
                - GW
                - GY
                - HT
                - HM
                - VA
                - HN
                - HK
                - HU
                - IS
                - IN
                - ID
                - IR
                - IQ
                - IE
                - IL
                - IT
                - JM
                - JP
                - JO
                - KZ
                - KE
                - KI
                - KP
                - KR
                - KW
                - KG
                - LA
                - LV
                - LB
                - LS
                - LR
                - LY
                - LI
                - LT
                - LU
                - MO
                - MG
                - MW
                - MY
                - MV
                - ML
                - MT
                - MH
                - MQ
                - MR
                - MU
                - YT
                - MX
                - FM
                - MD
                - MC
                - MN
                - MS
                - MA
                - MZ
                - MM
                - NA
                - NR
                - NP
                - NL
                - NC
                - NZ
                - NI
                - NE
                - NG
                - NU
                - NF
                - MP
                - MK
                - 'NO'
                - OM
                - PK
                - PW
                - PS
                - PA
                - PG
                - PY
                - PE
                - PH
                - PN
                - PL
                - PT
                - PR
                - QA
                - RE
                - RO
                - RU
                - RW
                - SH
                - KN
                - LC
                - PM
                - VC
                - WS
                - SM
                - ST
                - SA
                - SN
                - SC
                - SL
                - SG
                - SK
                - SI
                - SB
                - SO
                - ZA
                - GS
                - ES
                - LK
                - SD
                - SR
                - SJ
                - SZ
                - SE
                - CH
                - SY
                - TW
                - TJ
                - TZ
                - TH
                - TL
                - TG
                - TK
                - TO
                - TT
                - TN
                - TR
                - TM
                - TC
                - TV
                - UG
                - UA
                - AE
                - GB
                - US
                - UM
                - UY
                - UZ
                - VU
                - VE
                - VN
                - VG
                - VI
                - WF
                - EH
                - YE
                - ZM
                - ZW
                - AX
                - BQ
                - CW
                - GG
                - IM
                - JE
                - ME
                - BL
                - MF
                - RS
                - SX
                - SS
                - XK
          required:
            - line1
            - city
            - zipCode
            - country
        paymentStatus:
          description: Deprecated. The status of the payment.
          type: string
          enum:
            - not_settled
            - failed
            - canceled
            - processing
            - requires_action
            - succeeded
            - in_refund
            - refunded
            - refund_failed
            - partially_refunded
            - disputed
          x-enumNames:
            - NotSettled
            - Failed
            - Canceled
            - Processing
            - RequiresAction
            - Succeeded
            - InRefund
            - Refunded
            - RefundFailed
            - PartiallyRefunded
            - Disputed
        status:
          description: >-
            The status of the order. As soon as this value is 'paid', you can
            ship the order.
          type: string
          enum:
            - failed
            - canceled
            - processing
            - waiting_for_payment
            - waiting_for_bank_confirmation
            - paid
            - in_refund
            - refunded
            - refund_failed
            - partially_refunded
            - in_dispute
            - disputed
            - refused
            - finalizing
          x-enumNames:
            - Failed
            - Canceled
            - Processing
            - WaitingForPayment
            - WaitingForBankConfirmation
            - Paid
            - InRefund
            - Refunded
            - RefundFailed
            - PartiallyRefunded
            - InDispute
            - Disputed
            - Refused
            - Finalizing
        refunds:
          description: All partial and total refunds of this order.
          type: array
          items:
            type: object
            properties:
              id:
                description: The unique id of this refund request.
                type: string
              description:
                description: The description of the refund.
                type: string
              referenceId:
                description: >-
                  The unique id of this refund request. This can be set when
                  requesting the refund.
                type: string
              transactionId:
                description: The unique id of the transaction.
                type: string
              amount:
                description: The amount of the refund in decimals.
                type: number
                minimum: 0
                exclusiveMinimum: true
              status:
                description: The current status of this refund.
                type: string
                enum:
                  - pending
                  - succeeded
                  - failed
                  - requires_action
                  - partially_refunded
                x-enumNames:
                  - Pending
                  - Succeeded
                  - Failed
                  - RequiresAction
                  - PartiallyRefunded
              createdAt: {}
              updatedAt: {}
            required:
              - id
              - referenceId
              - amount
              - status
              - createdAt
              - updatedAt
        refundAmount:
          description: >-
            The total amount in the currency of all successful refunds for this
            order
          type: number
          minimum: 0
          exclusiveMinimum: false
        createdAt: {}
        updatedAt: {}
        shopperEmail:
          description: Deprecated. The email of the customer who completed the order.
          type: string
        shopper:
          description: Information about the customer who finished the order.
          type: object
          properties:
            email:
              type: string
            phoneNumber:
              type: string
        trees:
          type: number
        merchantFinancialAddress:
          description: >-
            The financial address of the merchant associated with the order.
            Only available when requested via order/details and therefore
            requires authentication.
          type: object
          properties:
            type:
              type: string
              enum:
                - iban
                - sort_code
                - bank_code
                - bban
                - wallet
                - aba
              x-enumNames:
                - IBAN
                - SORT_CODE
                - BANK_CODE
                - BBAN
                - WALLET
                - ABA
            iban:
              type: object
              properties:
                accountHolderName:
                  type: string
                  minLength: 1
                iban:
                  type: string
                bic:
                  type: string
              required:
                - accountHolderName
                - iban
            aba:
              type: object
              properties:
                accountHolderName:
                  type: string
                  minLength: 1
                routingNumber:
                  type: string
                  pattern: ^[0-9]+$
                accountNumber:
                  type: string
                  pattern: ^[0-9]+$
              required:
                - accountHolderName
                - routingNumber
                - accountNumber
            sortCode:
              type: object
              properties:
                accountHolderName:
                  type: string
                  minLength: 1
                sortCode:
                  type: string
                  pattern: ^[0-9]+$
                accountNumber:
                  type: string
                  pattern: ^[0-9]+$
                  maxLength: 8
              required:
                - accountHolderName
                - sortCode
                - accountNumber
            bankCode:
              type: object
              properties:
                accountHolderName:
                  type: string
                  minLength: 1
                code:
                  type: string
                accountNumber:
                  type: string
              required:
                - accountHolderName
                - code
                - accountNumber
            bban:
              type: object
              properties:
                accountHolderName:
                  type: string
                  minLength: 1
                bban:
                  type: string
                bic:
                  type: string
              required:
                - accountHolderName
                - bban
            wallet:
              type: object
              properties:
                address:
                  description: The blockchain wallet address
                  type: string
                blockchain:
                  description: The blockchain network
                  type: string
                  enum:
                    - BTC
                    - BTC-TESTNET4
                    - ETH
                    - ETH-SEPOLIA
                    - SOL
                    - SOL-DEVNET
                    - MATIC
                    - MATIC-AMOY
              required:
                - address
                - blockchain
            paymentReference:
              type: string
          required:
            - type
        bankStatementReference:
          description: >-
            The reference that will be shown on the bank statement of the
            customer. Only available after a successful DirectDebit initiation.
          type: string
        destination:
          description: The destination bank account and statement reference for the order.
          type: object
          properties:
            bankAccount:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - iban
                    - sort_code
                    - bank_code
                    - bban
                    - wallet
                    - aba
                  x-enumNames:
                    - IBAN
                    - SORT_CODE
                    - BANK_CODE
                    - BBAN
                    - WALLET
                    - ABA
                iban:
                  type: object
                  properties:
                    accountHolderName:
                      type: string
                      minLength: 1
                    iban:
                      type: string
                    bic:
                      type: string
                  required:
                    - accountHolderName
                    - iban
                aba:
                  type: object
                  properties:
                    accountHolderName:
                      type: string
                      minLength: 1
                    routingNumber:
                      type: string
                      pattern: ^[0-9]+$
                    accountNumber:
                      type: string
                      pattern: ^[0-9]+$
                  required:
                    - accountHolderName
                    - routingNumber
                    - accountNumber
                sortCode:
                  type: object
                  properties:
                    accountHolderName:
                      type: string
                      minLength: 1
                    sortCode:
                      type: string
                      pattern: ^[0-9]+$
                    accountNumber:
                      type: string
                      pattern: ^[0-9]+$
                      maxLength: 8
                  required:
                    - accountHolderName
                    - sortCode
                    - accountNumber
                bankCode:
                  type: object
                  properties:
                    accountHolderName:
                      type: string
                      minLength: 1
                    code:
                      type: string
                    accountNumber:
                      type: string
                  required:
                    - accountHolderName
                    - code
                    - accountNumber
                bban:
                  type: object
                  properties:
                    accountHolderName:
                      type: string
                      minLength: 1
                    bban:
                      type: string
                    bic:
                      type: string
                  required:
                    - accountHolderName
                    - bban
                wallet:
                  type: object
                  properties:
                    address:
                      description: The blockchain wallet address
                      type: string
                    blockchain:
                      description: The blockchain network
                      type: string
                      enum:
                        - BTC
                        - BTC-TESTNET4
                        - ETH
                        - ETH-SEPOLIA
                        - SOL
                        - SOL-DEVNET
                        - MATIC
                        - MATIC-AMOY
                  required:
                    - address
                    - blockchain
                paymentReference:
                  type: string
              required:
                - type
            bankStatementReference:
              description: >-
                The bank statement reference of the payment for the order. This
                is the reference that will be visible on the bank statement.
              type: string
          required:
            - bankAccount
            - bankStatementReference
        paymentMethodType:
          type: string
          enum:
            - customer_balance
            - manual_bank_transfer
          x-enumNames:
            - CUSTOMER_BALANCE
            - MANUAL_BANK_TRANSFER
        statusHistoryList:
          type: array
          items:
            type: object
            properties:
              previousStatus:
                type: string
                enum:
                  - failed
                  - canceled
                  - processing
                  - waiting_for_payment
                  - waiting_for_bank_confirmation
                  - paid
                  - in_refund
                  - refunded
                  - refund_failed
                  - partially_refunded
                  - in_dispute
                  - disputed
                  - refused
                  - finalizing
                x-enumNames:
                  - Failed
                  - Canceled
                  - Processing
                  - WaitingForPayment
                  - WaitingForBankConfirmation
                  - Paid
                  - InRefund
                  - Refunded
                  - RefundFailed
                  - PartiallyRefunded
                  - InDispute
                  - Disputed
                  - Refused
                  - Finalizing
                nullable: true
              currentStatus:
                type: string
                enum:
                  - failed
                  - canceled
                  - processing
                  - waiting_for_payment
                  - waiting_for_bank_confirmation
                  - paid
                  - in_refund
                  - refunded
                  - refund_failed
                  - partially_refunded
                  - in_dispute
                  - disputed
                  - refused
                  - finalizing
                x-enumNames:
                  - Failed
                  - Canceled
                  - Processing
                  - WaitingForPayment
                  - WaitingForBankConfirmation
                  - Paid
                  - InRefund
                  - Refunded
                  - RefundFailed
                  - PartiallyRefunded
                  - InDispute
                  - Disputed
                  - Refused
                  - Finalizing
              reason:
                type: string
                enum:
                  - ORDER_CREATED
                  - CHECKOUT_SESSION_ABORTED
                  - PAYMENT_SUCCEEDED
                  - PAYMENT_INITIATED
                  - ORDER_CANCELED
                  - ORDER_EXPIRED_BY_MERCHANT
                  - ORDER_REFUND_INITIATED
                  - ORDER_REFUNDED
                  - REFUND_CHARGE_SUCCEEDED
                  - REFUND_UPDATED
                  - CHECKOUT_COMPLETED
                  - USER_CONFIRMED
                  - PIS_PAYMENT_INITIATED
                  - PIS_PAYMENT_UPDATED
                  - PIS_PAYMENT_SUCCEEDED
                  - PAYMENT_NOT_SETTLED
                  - PAYMENT_INITIATION_FAILED
                  - PAYMENT_CANCELED
                  - PAYMENT_FAILED
                  - CHECKOUT_SESSION_CREATED
                  - EXPIRED_CHECKOUT_SESSION_ABORTED
                  - DISPUTE
                  - PENDING_PAYMENT_ATTEMPTS_FOUND
                  - AML_FREEZE
                  - AML_APPROVE
                  - AML_REJECT
                  - AML_SEIZE
                  - MANUAL_FREEZE
                  - MANUAL_UNFREEZE
                  - ORDER_MANUALLY_REOPENED
                  - ORDER_FINALIZATION_STARTED
                x-enumNames:
                  - ORDER_CREATED
                  - CHECKOUT_SESSION_ABORTED
                  - PAYMENT_SUCCEEDED
                  - PAYMENT_INITIATED
                  - ORDER_CANCELED
                  - ORDER_EXPIRED_BY_MERCHANT
                  - ORDER_REFUND_INITIATED
                  - ORDER_REFUNDED
                  - REFUND_CHARGE_SUCCEEDED
                  - REFUND_UPDATED
                  - CHECKOUT_COMPLETED
                  - USER_CONFIRMED
                  - PIS_PAYMENT_INITIATED
                  - PIS_PAYMENT_UPDATED
                  - PIS_PAYMENT_SUCCEEDED
                  - PAYMENT_NOT_SETTLED
                  - PAYMENT_INITIATION_FAILED
                  - PAYMENT_CANCELED
                  - PAYMENT_FAILED
                  - CHECKOUT_SESSION_CREATED
                  - EXPIRED_CHECKOUT_SESSION_ABORTED
                  - DISPUTE
                  - PENDING_PAYMENT_ATTEMPTS_FOUND
                  - AML_FREEZE
                  - AML_APPROVE
                  - AML_REJECT
                  - AML_SEIZE
                  - MANUAL_FREEZE
                  - MANUAL_UNFREEZE
                  - ORDER_MANUALLY_REOPENED
                  - ORDER_FINALIZATION_STARTED
              createdAt: {}
              updatedAt: {}
            required:
              - currentStatus
              - reason
              - createdAt
              - updatedAt
        subaccountId:
          description: The subaccount id of the merchant.
          type: string
        subaccountLegalName:
          type: string
        instantPaymentScheme:
          type: boolean
        statusClassification:
          type: object
          properties:
            primary:
              type: string
              enum:
                - payment_authorisation_failed
                - payment_execution_failed
                - payment_abandoned
            secondary:
              type: string
              enum:
                - timeout
                - wrong_credentials
                - incorrect_2fa_response
                - payment_rejected
                - insufficient_funds
                - cancelled
                - connection_to_bank_failed
                - international_transfer_blocked
                - international_transfer_limit_exceeded
                - user_blocked
                - bank_error
                - instant_transfers_not_enabled
                - no_active_tan_methods_available
                - account_limit_exceeded
                - bank_under_maintenance
                - pin_blocked
                - payment_not_settled
                - unsupported_bank_account
                - online_banking_login_required
                - deutsche_bank_psu_migration
                - out_of_operational_hours
          required:
            - primary
        paymentMode:
          description: The payment mode of the order. Can be either settlement or direct.
          type: string
          enum:
            - direct
            - settlement
          x-enumNames:
            - Direct
            - Settlement
        customerId:
          description: The unique identifier of the customer who placed the order.
          type: string
        bankId:
          description: The unique identifier of the customer's bank.
          type: string
        transactionId:
          description: The unique id of the transaction.
          type: string
      required:
        - id
        - merchantId
        - appId
        - merchantAppId
        - shopName
        - referenceId
        - applicationFeeAmount
        - price
        - status
        - createdAt
        - updatedAt
        - instantPaymentScheme
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Ivy-Api-Key
      description: API key for authentication

````